Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 4901)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1)
@@ -1216,72 +725,106 @@
 
 !
-!-- Store reference time for coupled runs and change the coupling flag, if ...
-    IF ( simulated_time == 0.0_wp )  THEN
-       IF ( coupling_start_time == 0.0_wp )  THEN
-          time_since_reference_point = 0.0_wp
-       ELSEIF ( time_since_reference_point < 0.0_wp )  THEN
-          run_coupled = .FALSE.
-       ENDIF
-    ENDIF
-
-!
 !-- Set wind speed in the Galilei-transformed system
     IF ( galilei_transformation )  THEN
-       IF ( use_ug_for_galilei_tr                    .AND.                                         &
-            ug_vertical_gradient_level(1) == 0.0_wp  .AND.                                         &
-            ug_vertical_gradient(1)       == 0.0_wp  .AND.                                         &
-            vg_vertical_gradient_level(1) == 0.0_wp  .AND.                                         &
-            vg_vertical_gradient(1)       == 0.0_wp )  THEN
-          u_gtrans = ug_surface * 0.6_wp
-          v_gtrans = vg_surface * 0.6_wp
-       ELSEIF ( use_ug_for_galilei_tr  .AND.  ( ug_vertical_gradient_level(1) /= 0.0_wp .OR.       &
-                                                ug_vertical_gradient(1) /= 0.0_wp ) )  THEN
-          message_string = 'baroclinity (ug) not allowed simultaneously' //                        &
-                           ' with galilei transformation'
-          CALL message( 'check_parameters', 'PA0046', 1, 2, 0, 6, 0 )
-       ELSEIF ( use_ug_for_galilei_tr  .AND.  ( vg_vertical_gradient_level(1) /= 0.0_wp  .OR.      &
-                                                vg_vertical_gradient(1) /= 0.0_wp ) )  THEN
-          message_string = 'baroclinity (vg) not allowed simultaneously' //                        &
-                           ' with galilei transformation'
-          CALL message( 'check_parameters', 'PA0047', 1, 2, 0, 6, 0 )
+       IF ( use_ug_for_galilei_tr .AND.                &
+            ug_vertical_gradient_level(1) == 0.0 .AND. & 
+            vg_vertical_gradient_level(1) == 0.0 )  THEN
+          u_gtrans = ug_surface
+          v_gtrans = vg_surface
+       ELSEIF ( use_ug_for_galilei_tr .AND.                &
+                ug_vertical_gradient_level(1) /= 0.0 )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters:'
+             PRINT*, '    baroclinicity (ug) not allowed'
+             PRINT*, '    simultaneously with galilei transformation'
+          ENDIF
+          CALL local_stop
+       ELSEIF ( use_ug_for_galilei_tr .AND.                &
+                vg_vertical_gradient_level(1) /= 0.0 )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters:'
+             PRINT*, '    baroclinicity (vg) not allowed'
+             PRINT*, '    simultaneously with galilei transformation'
+          ENDIF
+          CALL local_stop
        ELSE
-          message_string = 'variable translation speed used for Galilei-transformation, which ' // &
-                           'may cause & instabilities in stably stratified regions'
-          CALL message( 'check_parameters', 'PA0048', 0, 1, 0, 6, 0 )
-       ENDIF
-    ENDIF
-
-!
-!-- In case of using a prandtl-layer, calculated (or prescribed) surface fluxes have to be used in
-!-- the diffusion-terms
-    IF ( constant_flux_layer )  use_surface_fluxes = .TRUE.
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ WARNING: check_parameters:'
+             PRINT*, '    variable translation speed used for galilei-tran' // &
+                          'sformation, which'
+             PRINT*, '    may cause instabilities in stably stratified regions'
+          ENDIF
+       ENDIF
+    ENDIF
+
+!
+!-- In case of using a prandtl-layer, calculated (or prescribed) surface
+!-- fluxes have to be used in the diffusion-terms
+    IF ( prandtl_layer )  use_surface_fluxes = .TRUE.
 
 !
 !-- Check boundary conditions and set internal variables:
-!-- Attention: the lateral boundary conditions have been already checked in parin
-!
-!-- Non-cyclic lateral boundaries require the multigrid method and Piascek-Willimas or
-!-- Wicker - Skamarock advection scheme. Several schemes and tools do not work with non-cyclic
-!-- boundary conditions.
+!-- Lateral boundary conditions
+    IF ( bc_lr /= 'cyclic'  .AND.  bc_lr /= 'dirichlet/neumann'  .AND. &
+         bc_lr /= 'neumann/dirichlet' )  THEN
+       IF ( myid == 0 )  THEN
+          PRINT*, '+++ check_parameters:'
+          PRINT*, '    unknown boundary condition: bc_lr = ', bc_lr
+       ENDIF
+       CALL local_stop
+    ENDIF
+    IF ( bc_ns /= 'cyclic'  .AND.  bc_ns /= 'dirichlet/neumann'  .AND. &
+         bc_ns /= 'neumann/dirichlet' )  THEN
+       IF ( myid == 0 )  THEN
+          PRINT*, '+++ check_parameters:'
+          PRINT*, '    unknown boundary condition: bc_ns = ', bc_ns
+       ENDIF
+       CALL local_stop
+    ENDIF
+
+!
+!-- Non-cyclic lateral boundaries require the multigrid method and Piascek-
+!-- Willimas advection scheme. Several schemes and tools do not work with
+!-- non-cyclic boundary conditions.
     IF ( bc_lr /= 'cyclic'  .OR.  bc_ns /= 'cyclic' )  THEN
-       IF ( psolver(1:9) /= 'multigrid' )  THEN
-          message_string = 'non-cyclic lateral boundaries do not allow ' // 'psolver = "' //       &
-                           TRIM( psolver ) // '"'
-          CALL message( 'check_parameters', 'PA0051', 1, 2, 0, 6, 0 )
-       ENDIF
-       IF ( momentum_advec /= 'pw-scheme'  .AND.  momentum_advec /= 'ws-scheme' )  THEN
-
-          message_string = 'non-cyclic lateral boundaries do not allow momentum_advec = "' //      &
-                           TRIM( momentum_advec ) // '"'
-          CALL message( 'check_parameters', 'PA0052', 1, 2, 0, 6, 0 )
-       ENDIF
-       IF ( scalar_advec /= 'pw-scheme'  .AND.  scalar_advec /= 'ws-scheme' )  THEN
-          message_string = 'non-cyclic lateral boundaries do not allow scalar_advec = "' //        &
-                           TRIM( scalar_advec ) // '"'
-          CALL message( 'check_parameters', 'PA0053', 1, 2, 0, 6, 0 )
+       IF ( psolver /= 'multigrid' )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters:'
+             PRINT*, '    non-cyclic lateral boundaries do not allow', &
+                          ' psolver = ', psolver 
+          ENDIF
+          CALL local_stop
+       ENDIF
+       IF ( momentum_advec /= 'pw-scheme' )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters:'
+             PRINT*, '    non-cyclic lateral boundaries do not allow', &
+                          ' momentum_advec = ', momentum_advec 
+          ENDIF
+          CALL local_stop
+       ENDIF
+       IF ( scalar_advec /= 'pw-scheme' )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters:'
+             PRINT*, '    non-cyclic lateral boundaries do not allow', &
+                          ' scalar_advec = ', scalar_advec 
+          ENDIF
+          CALL local_stop
        ENDIF
        IF ( galilei_transformation )  THEN
-          message_string = 'non-cyclic lateral boundaries do not allow galilei_transformation = .T.'
-          CALL message( 'check_parameters', 'PA0054', 1, 2, 0, 6, 0 )
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters:'
+             PRINT*, '    non-cyclic lateral boundaries do not allow', &
+                          ' galilei_transformation = .T.' 
+          ENDIF
+          CALL local_stop
+       ENDIF
+       IF ( conserve_volume_flow )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters:'
+             PRINT*, '    non-cyclic lateral boundaries do not allow', &
+                          ' conserve_volume_flow = .T.' 
+          ENDIF
+          CALL local_stop
        ENDIF
     ENDIF
@@ -1291,15 +834,32 @@
     IF ( bc_e_b == 'neumann' )  THEN
        ibc_e_b = 1
+       IF ( adjust_mixing_length  .AND.  prandtl_layer )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ WARNING: check_parameters:'
+             PRINT*, '    adjust_mixing_length = TRUE and bc_e_b = ', bc_e_b
+          ENDIF
+       ENDIF
     ELSEIF ( bc_e_b == '(u*)**2+neumann' )  THEN
        ibc_e_b = 2
-       IF ( .NOT. constant_flux_layer )  THEN
+       IF ( .NOT. adjust_mixing_length  .AND.  prandtl_layer )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ WARNING: check_parameters:'
+             PRINT*, '    adjust_mixing_length = FALSE and bc_e_b = ', bc_e_b
+          ENDIF
+       ENDIF
+       IF ( .NOT. prandtl_layer )  THEN
           bc_e_b = 'neumann'
           ibc_e_b = 1
-          message_string = 'boundary condition bc_e_b changed to "' // TRIM( bc_e_b ) // '"'
-          CALL message( 'check_parameters', 'PA0057', 0, 1, 0, 6, 0 )
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ WARNING: check_parameters:'
+             PRINT*, '    boundary condition bc_e_b changed to "', bc_e_b, '"'
+          ENDIF
        ENDIF
     ELSE
-       message_string = 'unknown boundary condition: bc_e_b = "' // TRIM( bc_e_b ) // '"'
-       CALL message( 'check_parameters', 'PA0058', 1, 2, 0, 6, 0 )
+       IF ( myid == 0 )  THEN
+          PRINT*, '+++ check_parameters:'
+          PRINT*, '    unknown boundary condition: bc_e_b = ', bc_e_b
+       ENDIF
+       CALL local_stop
     ENDIF
 
@@ -1310,173 +870,138 @@
     ELSEIF ( bc_p_b == 'neumann' )  THEN
        ibc_p_b = 1
+    ELSEIF ( bc_p_b == 'neumann+inhomo' )  THEN
+       ibc_p_b = 2
     ELSE
-       message_string = 'unknown boundary condition: bc_p_b = "' // TRIM( bc_p_b ) // '"'
-       CALL message( 'check_parameters', 'PA0059', 1, 2, 0, 6, 0 )
-    ENDIF
-
+       IF ( myid == 0 )  THEN
+          PRINT*, '+++ check_parameters:'
+          PRINT*, '    unknown boundary condition: bc_p_b = ', bc_p_b
+       ENDIF
+       CALL local_stop
+    ENDIF
+    IF ( ibc_p_b == 2  .AND.  .NOT. prandtl_layer )  THEN
+       IF ( myid == 0 )  THEN
+          PRINT*, '+++ check_parameters:'
+          PRINT*, '    boundary condition: bc_p_b = ', TRIM( bc_p_b ), &
+                       ' not allowed with'
+          PRINT*, '    prandtl_layer = .FALSE.' 
+       ENDIF
+       CALL local_stop
+    ENDIF
     IF ( bc_p_t == 'dirichlet' )  THEN
        ibc_p_t = 0
-!-- TO_DO: later set bc_p_t to neumann before, in case of nested domain
-    ELSEIF ( bc_p_t == 'neumann' .OR. bc_p_t == 'nested' )  THEN
+    ELSEIF ( bc_p_t == 'neumann' )  THEN
        ibc_p_t = 1
     ELSE
-       message_string = 'unknown boundary condition: bc_p_t = "' // TRIM( bc_p_t ) // '"'
-       CALL message( 'check_parameters', 'PA0061', 1, 2, 0, 6, 0 )
+       IF ( myid == 0 )  THEN
+          PRINT*, '+++ check_parameters:'
+          PRINT*, '    unknown boundary condition: bc_p_t = ', bc_p_t
+       ENDIF
+       CALL local_stop
     ENDIF
 
 !
 !-- Boundary conditions for potential temperature
-    IF ( coupling_mode == 'atmosphere_to_ocean' )  THEN
-       ibc_pt_b = 2
+    IF ( bc_pt_b == 'dirichlet' )  THEN
+       ibc_pt_b = 0
+    ELSEIF ( bc_pt_b == 'neumann' )  THEN
+       ibc_pt_b = 1
     ELSE
-       IF ( bc_pt_b == 'dirichlet' )  THEN
-          ibc_pt_b = 0
-       ELSEIF ( bc_pt_b == 'neumann' )  THEN
-          ibc_pt_b = 1
-       ELSE
-          message_string = 'unknown boundary condition: bc_pt_b = "' // TRIM( bc_pt_b ) // '"'
-          CALL message( 'check_parameters', 'PA0062', 1, 2, 0, 6, 0 )
-       ENDIF
-    ENDIF
-
+       IF ( myid == 0 )  THEN
+          PRINT*, '+++ check_parameters:'
+          PRINT*, '    unknown boundary condition: bc_pt_b = ', bc_pt_b
+       ENDIF
+       CALL local_stop
+    ENDIF
     IF ( bc_pt_t == 'dirichlet' )  THEN
        ibc_pt_t = 0
     ELSEIF ( bc_pt_t == 'neumann' )  THEN
        ibc_pt_t = 1
-    ELSEIF ( bc_pt_t == 'initial_gradient' )  THEN
-       ibc_pt_t = 2
-    ELSEIF ( bc_pt_t == 'nested'  .OR.  bc_pt_t == 'nesting_offline' )  THEN
-       ibc_pt_t = 3
     ELSE
-       message_string = 'unknown boundary condition: bc_pt_t = "' // TRIM( bc_pt_t ) // '"'
-       CALL message( 'check_parameters', 'PA0063', 1, 2, 0, 6, 0 )
-    ENDIF
-
-    IF ( ANY( wall_heatflux /= 0.0_wp )  .AND.  surface_heatflux == 9999999.9_wp )  THEN
-       message_string = 'wall_heatflux additionally requires setting of surface_heatflux'
-       CALL message( 'check_parameters', 'PA0443', 1, 2, 0, 6, 0 )
-    ENDIF
-
-!
-!   This IF clause needs revision, got too complex!!
-    IF ( surface_heatflux == 9999999.9_wp  )  THEN
-       constant_heatflux = .FALSE.
-       IF ( large_scale_forcing  .OR.  land_surface  .OR.  urban_surface )  THEN
-          IF ( ibc_pt_b == 0 )  THEN
-             constant_heatflux = .FALSE.
-          ELSEIF ( ibc_pt_b == 1 )  THEN
-             constant_heatflux = .TRUE.
-             surface_heatflux = 0.0_wp
-          ENDIF
-       ENDIF
-    ELSE
-       constant_heatflux = .TRUE.
-    ENDIF
-
-    IF ( top_heatflux     == 9999999.9_wp )  constant_top_heatflux = .FALSE.
-
-    IF ( neutral )  THEN
-
-       IF ( surface_heatflux /= 0.0_wp  .AND.  surface_heatflux /= 9999999.9_wp )  THEN
-          message_string = 'heatflux must not be set for pure neutral flow'
-          CALL message( 'check_parameters', 'PA0351', 1, 2, 0, 6, 0 )
-       ENDIF
-
-       IF ( top_heatflux /= 0.0_wp  .AND.  top_heatflux /= 9999999.9_wp )  THEN
-          message_string = 'heatflux must not be set for pure neutral flow'
-          CALL message( 'check_parameters', 'PA0351', 1, 2, 0, 6, 0 )
-       ENDIF
-
-    ENDIF
-
-    IF ( top_momentumflux_u /= 9999999.9_wp  .AND.  top_momentumflux_v /= 9999999.9_wp )  THEN
-       constant_top_momentumflux = .TRUE.
-    ELSEIF ( .NOT. ( top_momentumflux_u == 9999999.9_wp  .AND.                                     &
-           top_momentumflux_v == 9999999.9_wp ) )  THEN
-       message_string = 'both, top_momentumflux_u AND top_momentumflux_v must be set'
-       CALL message( 'check_parameters', 'PA0064', 1, 2, 0, 6, 0 )
-    ENDIF
-
-!
-!-- A given surface temperature implies Dirichlet boundary condition for temperature. In this case
-!-- specification of a constant heat flux is forbidden.
-    IF ( ibc_pt_b == 0  .AND.  constant_heatflux  .AND.  surface_heatflux /= 0.0_wp )  THEN
-       message_string = 'boundary_condition: bc_pt_b = "' // TRIM( bc_pt_b ) //                    &
-                        '& is not allowed with constant_heatflux = .TRUE.'
-       CALL message( 'check_parameters', 'PA0065', 1, 2, 0, 6, 0 )
-    ENDIF
-    IF ( constant_heatflux  .AND.  pt_surface_initial_change /= 0.0_wp )  THEN
-       WRITE ( message_string, * )  'constant_heatflux = .TRUE. is not allo',                      &
-               'wed with pt_surface_initial_change (/=0) = ', pt_surface_initial_change
-       CALL message( 'check_parameters', 'PA0066', 1, 2, 0, 6, 0 )
-    ENDIF
-    IF ( constant_heatflux  .AND.  pt_surface_heating_rate /= 0.0_wp )  THEN
-       WRITE ( message_string, * )  'constant_heatflux = .TRUE. is not allo',                      &
-               'wed with pt_surface_heating_rate (/=0) = ', pt_surface_heating_rate
-       CALL message( 'check_parameters', 'PA0497', 1, 2, 0, 6, 0 )
-    ENDIF
-
-!
-!-- A given temperature at the top implies Dirichlet boundary condition for temperature. In this
-!-- case specification of a constant heat flux is forbidden.
-    IF ( ibc_pt_t == 0  .AND.  constant_top_heatflux  .AND.  top_heatflux /= 0.0_wp )  THEN
-       message_string = 'boundary_condition: bc_pt_t = "' // TRIM( bc_pt_t ) //                    &
-                        '" is not allowed with constant_top_heatflux = .TRUE.'
-       CALL message( 'check_parameters', 'PA0067', 1, 2, 0, 6, 0 )
-    ENDIF
-
-!
-!-- Set boundary conditions for total water content
-    IF ( humidity )  THEN
-
-       IF ( ANY( wall_humidityflux /= 0.0_wp )  .AND.  surface_waterflux == 9999999.9_wp )  THEN
-          message_string = 'wall_humidityflux additionally requires setting of surface_waterflux'
-          CALL message( 'check_parameters', 'PA0444', 1, 2, 0, 6, 0 )
-       ENDIF
-
-       CALL set_bc_scalars( 'q', bc_q_b, bc_q_t, ibc_q_b, ibc_q_t, 'PA0071', 'PA0072' )
-
-       IF ( surface_waterflux == 9999999.9_wp  )  THEN
-          constant_waterflux = .FALSE.
-          IF ( large_scale_forcing .OR. land_surface )  THEN
-             IF ( ibc_q_b == 0 )  THEN
-                constant_waterflux = .FALSE.
-             ELSEIF ( ibc_q_b == 1 )  THEN
-                constant_waterflux = .TRUE.
-             ENDIF
-          ENDIF
+       IF ( myid == 0 )  THEN
+          PRINT*, '+++ check_parameters:'
+          PRINT*, '    unknown boundary condition: bc_pt_t = ', bc_pt_t
+       ENDIF
+       CALL local_stop
+    ENDIF
+
+    IF ( surface_heatflux == 9999999.9 )  constant_heatflux = .FALSE.
+
+!
+!-- A given surface temperature implies Dirichlet boundary condition for
+!-- temperature. In this case specification of a constant heat flux is
+!-- forbidden.
+    IF ( ibc_pt_b == 0  .AND.   constant_heatflux  .AND. &
+         surface_heatflux /= 0.0 )  THEN
+       IF ( myid == 0 )  THEN
+          PRINT*, '+++ check_parameters:'
+          PRINT*, '    boundary_condition: bc_pt_b = ', bc_pt_b
+          PRINT*, '    is not allowed with constant_heatflux = .TRUE.'
+       ENDIF
+       CALL local_stop
+    ENDIF
+    IF ( constant_heatflux  .AND.  pt_surface_initial_change /= 0.0 )  THEN
+       IF ( myid == 0 )  THEN
+          PRINT*, '+++ check_parameters: constant_heatflux = .TRUE. is not'
+          PRINT*, '    allowed with pt_surface_initial_change (/=0) = ', &
+                  pt_surface_initial_change
+       ENDIF
+       CALL local_stop
+    ENDIF
+
+!
+!-- In case of moisture or passive scalar, set boundary conditions for total 
+!-- water content / scalar
+    IF ( moisture  .OR.  passive_scalar ) THEN
+       IF ( moisture )  THEN
+          sq = 'q'
        ELSE
-          constant_waterflux = .TRUE.
-       ENDIF
-
-       CALL check_bc_scalars( 'q', bc_q_b, ibc_q_b, 'PA0073', 'PA0074', constant_waterflux,        &
-                              q_surface_initial_change )
-
-    ENDIF
-
-    IF ( passive_scalar )  THEN
-
-       IF ( ANY( wall_scalarflux /= 0.0_wp )  .AND.  surface_scalarflux == 9999999.9_wp )  THEN
-          message_string = 'wall_scalarflux additionally requires setting of surface_scalarflux'
-          CALL message( 'check_parameters', 'PA0445', 1, 2, 0, 6, 0 )
-       ENDIF
-
-       IF ( surface_scalarflux == 9999999.9_wp )  constant_scalarflux = .FALSE.
-
-       CALL set_bc_scalars( 's', bc_s_b, bc_s_t, ibc_s_b, ibc_s_t, 'PA0071', 'PA0072' )
-
-       CALL check_bc_scalars( 's', bc_s_b, ibc_s_b, 'PA0073', 'PA0074', constant_scalarflux,       &
-                              s_surface_initial_change )
-
-       IF ( top_scalarflux == 9999999.9_wp )  constant_top_scalarflux = .FALSE.
-!
-!--    A fixed scalar concentration at the top implies Dirichlet boundary condition for scalar.
-!--    Hence, in this case specification of a constant scalar flux is forbidden.
-       IF ( ( ibc_s_t == 0 .OR. ibc_s_t == 2 )  .AND.  constant_top_scalarflux  .AND.              &
-              top_scalarflux /= 0.0_wp )  THEN
-          message_string = 'boundary condition: bc_s_t = "' // TRIM( bc_s_t ) //                   &
-                           '" is not allowed with top_scalarflux /= 0.0'
-          CALL message( 'check_parameters', 'PA0441', 1, 2, 0, 6, 0 )
-       ENDIF
+          sq = 's'
+       ENDIF
+       IF ( bc_q_b == 'dirichlet' )  THEN
+          ibc_q_b = 0
+       ELSEIF ( bc_q_b == 'neumann' )  THEN
+          ibc_q_b = 1
+       ELSE
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters:'
+             PRINT*, '    unknown boundary condition: bc_', sq, '_b = ', bc_q_b
+          ENDIF
+          CALL local_stop
+       ENDIF
+       IF ( bc_q_t == 'dirichlet' )  THEN
+          ibc_q_t = 0
+       ELSEIF ( bc_q_t == 'neumann' )  THEN
+          ibc_q_t = 1
+       ELSE
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters:'
+             PRINT*, '    unknown boundary condition: bc_', sq, '_t = ', bc_q_t
+          ENDIF
+          CALL local_stop
+       ENDIF
+
+       IF ( surface_waterflux == 0.0 )  constant_waterflux = .FALSE.
+
+!
+!--    A given surface humidity implies Dirichlet boundary condition for
+!--    moisture. In this case specification of a constant water flux is
+!--    forbidden.
+       IF ( ibc_q_b == 0  .AND.  constant_waterflux )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters:'
+             PRINT*, '    boundary_condition: bc_', sq, '_b = ', bc_q_b
+             PRINT*, '    is not allowed with prescribed surface flux'
+          ENDIF
+          CALL local_stop
+       ENDIF
+       IF ( constant_waterflux  .AND.  q_surface_initial_change /= 0.0 )  THEN
+          IF ( myid == 0 )  THEN
+             PRINT*, '+++ check_parameters: a prescribed surface flux is not'
+             PRINT*, '    allowed with ', sq, '_surface_initial_change (/=0)', &
+                     ' = ', q_surface_initial_change
+          ENDIF
+          CALL local_stop
+       ENDIF
+       
     ENDIF
 
